=== modified file 'bzrlib/benchmarks/__init__.py'
--- bzrlib/benchmarks/__init__.py	2006-06-23 15:27:25 +0000
+++ bzrlib/benchmarks/__init__.py	2006-07-05 17:02:59 +0000
@@ -18,10 +18,12 @@
 """Benchmark test suite for bzr."""
 
 import bzrlib
+from bzrlib.bzrdir import BzrDir
+import bzrlib.plugin
 from bzrlib.tests.TestUtil import TestLoader
-from bzrlib.bzrdir import BzrDir
 from bzrlib.tests.blackbox import ExternalBase
 
+
 class Benchmark(ExternalBase):
 
     def make_kernel_like_tree(self, url=None):
@@ -118,4 +120,11 @@
                    'bzrlib.benchmarks.bench_transform',
                    'bzrlib.benchmarks.bench_workingtree',
                    ]
-    return TestLoader().loadTestsFromModuleNames(testmod_names)
+    suite = TestLoader().loadTestsFromModuleNames(testmod_names) 
+
+    # Load any benchmarks from plugins
+    for name, plugin in bzrlib.plugin.all_plugins().items():
+        if getattr(plugin, 'bench_suite', None) is not None:
+            suite.addTest(plugin.bench_suite())
+
+    return suite

